// Outer boundary
Point(1) = {0, 0, 0, 0.01};
Point(2) = {0.1, 0, 0, 0.01};
Point(3) = {0.1, 0.1, 0, 0.01};
Point(4) = {0, 0.1, 0, 0.01};
Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};
Line Loop(1) = {1, 2, 3, 4};

// Iron
Point(5) = {0.045, 0.045, 0, 0.001};
Point(6) = {0.055, 0.045, 0, 0.001};
Point(7) = {0.055, 0.055, 0, 0.001};
Point(8) = {0.045, 0.055, 0, 0.001};
Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};
Line Loop(2) = {5, 6, 7, 8};

// These are connected to the line loops
// The first is the outer loop, the next ones are holes
Plane Surface(1) = {1,2} ;
Plane Surface(2) = {2} ;

//outer boundary
// These are connected to the lines
Physical Line("OuterBordersGMSH") = {1,2,3,4} ;
Physical Line("IronBorderGMSH")   = {5,6,7,8} ;

// These are connected to the lines
Physical Surface("AirGMSH")  = {1} ;
Physical Surface("IronGMSH") = {2} ;

Color Yellow{ Surface{ 1 }; }
Color Purple{ Surface{ 2 }; }
